input.has-button {
  position: relative;
}

span.inline-button {
  position: absolute;
  right: 25px;
  top: 7px;
  cursor: pointer;
  z-index: 2;
}

.modal td.data-id {
  color: #3c8dbc;
  cursor: pointer;
}

.modal td.data-id:hover {
  color: #72afd2;
}

.table-input td,
.table-input th {
  text-align: center;
}

.table-input td .text-only {
  min-height: 27px;
  padding-top: 7px;
  margin-top: 0;
  margin-bottom: 0;
}

.main-header .sidebar-toggle.no-before-content:before {
  content: ' ';
}

i.fas {
  margin-right: 5px;
}

.content.top .box .box-body .message {
  position: relative;
  height: 330px;
}

.content.top .box .box-body .message div {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  text-align: center;
}

.content.top .box .box-body .message .error span {
  cursor: pointer;
  color: #74b9ff;
}

.content.top .box .box-body .message .error span:hover {
  text-decoration: underline;
}

.loading-cover {
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.9);
  width: 100vw;
  height: 100vh;
  z-index: 1060;
  display: none;
}

.loading-main {
  z-index: 1070;
  position: fixed;
  top: calc(50% - 50px);
  right: calc(50% - 50px);
  display: none;
  border-width: 50px;
  border-radius: 50%;
  -webkit-animation: spin 1s linear infinite;
     -moz-animation: spin 1s linear infinite;
       -o-animation: spin 1s linear infinite;
          animation: spin 1s linear infinite;
}

@-webkit-keyframes spin {
  100% { -webkit-transform: rotate(359deg); }
}

@-moz-keyframes spin {
  100% { -moz-transform: rotate(359deg); }
}

@-o-keyframes spin {
  100% { -moz-transform: rotate(359deg); }
}

@keyframes spin {
  100% { transform: rotate(359deg); }
}

.loading-main.style-2 {
  border-style: double;
  border-color: #fff rgba(255, 255, 255, 0.03);
}

.paginate-info {
  line-height: 1.42857143;
  padding: 6px 0;
  display: inline-block;
}

@media (min-width: 1280px) {
  .modal-xl {
    width: 90%;
    max-width: 1200px;
  }
}

.image-container {
  position: relative;
  width: 50%;
  cursor: pointer;
}

.image-container>img {
  max-width: 100%;
}

.image-container>div {
  position: absolute;
  transition: .1s all linear;
}

.image-container>.btn-change {
  width: 100%;
  padding: 5px;
  background-color: rgba(255, 255, 255, 0.7);
  text-align: center;
  bottom: 0;
  font-size: 1.4em;
}

.image-container>.btn-change:hover {
  font-weight: bold;
  background-color: rgba(255, 255, 255, 0.9);
}

.image-container>.btn-delete {
  display: inline-block;
  padding: 2px 5px;
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 2px;
  top: 5px;
  right: 5px;
  font-size: 1.4em;
}

.image-container>.btn-delete:hover {
  background-color: rgba(255, 255, 255, 0.9);
}

.image-container>.btn-delete i.fas {
  margin-right: 0;
}

.h-70 {
  height: 70px;
}

.mr-20 {
  margin-right: 20px;
}

table.table.has-button td {
  line-height: 30px;
}

.cb-container {
  padding-left: 20px;
  margin-right: 10px;
  position: relative;
  cursor: pointer;
}

.cb-container input[type=checkbox] {
  opacity: 0;
  position: absolute;
  left: 0;
  top: 2px;
  width: 15px;
  height: 15px;
  margin: 0;
}

.cb-checkmark {
  width: 18px;
  height: 18px;
  display: inline-block;
  border: 1px solid #ccc;
  position: absolute;
  top: 0;
  left: 0;
}

.cb-checkmark:hover {
  border-color: #3c8dbc;
}

.cb-container input[type=checkbox]:checked ~ .cb-checkmark {
  background: url('/img/checkmark.png');
  background-position: center;
  background-repeat: no-repeat;
}

@media (max-width: 425px) {
  .box-title.wrap-line {
    display: block;
  }
}

.trucate {
  text-overflow:ellipsis !important;
  white-space:nowrap !important;
  overflow:hidden !important;
}
.w-100 {
  width: 100px;
  max-width: 100px;
}
.w-150 {
  width: 150px;
  max-width: 150px;
}
.w-200 {
  width: 200px;
  max-width: 200px;
}
.w-250 {
  width: 250px;
  max-width: 250px;
}
.w-300 {
  width: 300px;
  max-width: 300px;
}
.w-70 {
  width: 70px;
  max-width: 70px;
}
.w-80 {
  width: 80px;
  max-width: 80px;
}

.cb-container {
  padding-left: 23px !important;
  margin-right: 10px;
  position: relative;
  cursor: pointer;
}
